# class Bundler::Source::Git::GitCommandError

### Public Class Methods

new(command, path = nil, extra_info = nil) click to toggle source
Calls superclass method `Exception::new`

    # File lib/bundler/source/git/git_proxy.rb, line 28
    def initialize(command, path = nil, extra_info = nil)
      msg = String.new
      msg << "Git error: command `git #{command}` in directory #{SharedHelpers.pwd} has failed."
      msg << "\n#{extra_info}" if extra_info
      msg << "\nIf this error persists you could try removing the cache directory '#{path}'" if path && path.exist?
      super msg
    end